/*
    DEMO.PRG
    ADveremnu() demonstration program.
*/

#include "vermenu.ch"
#include "inkey.ch"

//---------------
func main()
local aMenu    := { "Databases", "ProgInfo", "ScnTools", "Files"  }
local aConfig := ADvm_defaults(), nEngine

cls
Xinstructions()
aConfig[VM_KEYS] = { K_F9, K_F10 }
aConfig[VM_KHANDLER] = {|e,c,p,nth,nKey| Xkhandler(e,c,p,nth,nKey)}
aConfig[VM_LBUTTONS] = { {2,4,2,6} }
aConfig[VM_LBHANDLER] = {|e,c,p,nth,mRow,mCol| Xlbhandler(e,c,p,nth,mRow,Mcol)}
aConfig[VM_HEADER] = "[*]"
aConfig[VM_HDRSTART] = 2
ADvermenu( @nEngine, aMenu, 2, 2,,, aConfig )
ADvm_kill( nEngine )
return nil


//----------------------------------------------------
func Xkhandler( nEngine, aConfig, aPeek, nthKey, nKey )
local cMessage

if nthKey = 1
    alert( "You pressed F9.  F10 is also a hot key.  Try it too!" )
elseif nthKey = 2
    if aPeek[PKVM_CURRENT] = 1
        cMessage = "Database operations"
    elseif aPeek[PKVM_CURRENT] = 2
        cMessage = "Extract information about running program"
    elseif aPeek[PKVM_CURRENT] = 3
        cMessage = "Screen utilities"
    elseif aPeek[PKVM_CURRENT] = 4
        cMessage = "File operations"
    endif

    alert( cMessage + ";-------------------------------------;" +;
                       "The first line of this message varies;" +;
                       "with the light bar's position")
endif

return nil


//-------------------------------------------------------------
func Xlbhandler( nEngine, aConfig, aPeek, nthSpot, mROw, mCol )
alert( "You clicked [*]" )
return nil


//------------------
func Xinstructions()
ADbox( 18,0,23,maxcol(),,,.f.,.f. )
ADcsay( 18,0,maxcol(), " ADvermenu() Demonstration Program #9 " )
ADsay( 19,1, "This is similar to Demo #1 except that it is reconfigured with user-defined" )
ADsay( 20,1, "hot keys and a left button hot spot." )
ADsay( 21,1, "   The hot keys are K_F9 and K_F10" )
ADsay( 22,1, "   The hot spot is [*] at the top of the menu box" )
return nil

